pro plot1colours

set_plot,'ps'
device,file="plot.colours.ps",/color,bits=8,xsize=52.0,ysize=26.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']
colnames=['V-I','U','B','V','R','I','J','H','K','u','g','r','i','z','F300W','F336W','F435W','F450W','F555W','F606W','F814']
!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=5
!p.multi=[0,7,3]
!x.omargin=[5,0]
!y.omargin=[1,1]
!x.margin=[3,0]
!y.margin=[3,1]
for zn=0,12 do begin
   colours=fltarr(22,51,7)
   colours2=fltarr(22,51,7)
   
   for imf0=0,6 do begin
      print,znames(zn)
      openr,5,"../"+imfs(imf0)+"/colours."+znames(zn)+".dat"
      dummy=fltarr(22)
      for iT=0,50 do begin
         readf,5,dummy
         colours(0:21,iT,imf0)=dummy
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/colours-bin."+znames(zn)+".dat"
      dummy=fltarr(22)
      for iT=0,50 do begin
         readf,5,dummy
         colours2(0:21,iT,imf0)=dummy
      endfor
      close,5
   endfor
   
   for col=1,21 do begin
      if(col eq 1) then !y.range=[-0.5,2] else !y.range=[0,-20]
      if(col eq 1 or col eq 8 or col eq 15) then !y.title="Magntiude" else !y.title=""
      if(col ge 15) then !x.title="log(Age/yrs)" else !x.title=""
      plot,colours(0,0:50,0),colours(col,0:50,0),linestyle=2,title=znames(zn)+" "+colnames(col-1)
      for imf0=1,6 do oplot,colours(0,0:50,imf0),colours(col,0:50,imf0),color=42*imf0,linestyle=2
      for imf0=0,6 do oplot,colours2(0,0:50,imf0),colours2(col,0:50,imf0),color=42*imf0,linestyle=0
  
      if(col ge 15) then xyouts,6.1,-1,imfs(col-15),color=(col-15)*42
      
      if(col eq 8) then xyouts,6.1,-1,"Dashed - single stars"
      if(col eq 9) then xyouts,6.1,-1,"Solid - binaries"
   endfor
endfor



device,/close


end
