pro plot1hr

set_plot,'ps'
device,file="plot.hr.ps",/color,bits=8,xsize=32.0,ysize=16.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']
!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=2
!p.multi=[0,3,2]

levs=fltarr(11)
for n=0,10 do levs(n)=10e0^(n-10)
axisT=fltarr(100)
for n=0,99 do axisT(n)=(n+1)*0.1
axisL=fltarr(100)
for n=0,99 do axisL(n)=((n+1)-30)*0.1


   ;output colour magnitude files
for imf0=3,3 do begin
   for zn=0,12 do begin
      hr=fltarr(100,100,51,9)
      hr2=fltarr(100,100,51,9)
      print,znames(zn),imfs(imf0)
      openr,5,"../"+imfs(imf0)+"/hrs."+znames(zn)+".dat"
      dummy=fltarr(100)
      for iX=0,8 do begin
         for iT=0,50 do begin
            for i=0,99 do begin
               readf,5,dummy
               hr(i,0:99,iT,iX)=dummy
            endfor
         endfor
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/hrs-bin."+znames(zn)+".dat"
      for iX=0,8 do begin
         for iT=0,50 do begin
            for i=0,99 do begin
               readf,5,dummy
               hr2(i,0:99,iT,iX)=dummy
            endfor
         endfor
      endfor
      close,5

      !x.range=[3.2,5.7]
      !x.title="log(T/K)"
      for iT=0,50 do begin
         for iX=0,2 do begin      
            if(iX eq 0) then !p.title="Single stars"
            if(iX eq 1) then !p.title=znames(zn) 
            if(iX eq 2) then !p.title="log(age/yrs)="+strcompress(string(6+0.1*it),/remove_all)
            if(iX eq 0) then !y.title="log(L/L!D"+sun+"!N)"
            if(iX eq 1) then !y.title="log(g / cm s!U-2!N)"
            if(iX eq 2) then !y.title="log((L/L!D"+sun+"!N)/(M/M!D"+sun+"!N))"
            if(iX eq 0) then !y.range=[-3,7]
            if(iX eq 1) then !y.range=[-1.5,7]
            if(iX eq 2) then !y.range=[-3,5.5]
            contour,hr(0:99,0:99,iT,iX*3+0),axisT,axisL,levels=max(hr(0:99,0:99,iT,0:2))*levs
            contour,hr(0:99,0:99,iT,iX*3+1),axisT,axisL,levels=max(hr(0:99,0:99,iT,3:5))*levs,/overplot,color=255
            contour,hr(0:99,0:99,iT,iX*3+2),axisT,axisL,levels=max(hr(0:99,0:99,iT,6:8))*levs,/overplot,color=50
         endfor
         for iX=0,2 do begin
            if(iX eq 0) then !p.title="Binary stars"
            if(iX eq 1) then !p.title=znames(zn) 
            if(iX eq 2) then !p.title="log(age/yrs)="+strcompress(string(6+0.1*it),/remove_all)
            if(iX eq 0) then !y.title="log(L/L!D"+sun+"!N)"
            if(iX eq 1) then !y.title="log(g / cm s!U-2!N)"
            if(iX eq 2) then !y.title="log((L/L!D"+sun+"!N)/(M/M!D"+sun+"!N))"
            if(iX eq 0) then !y.range=[-3,7]
            if(iX eq 1) then !y.range=[-1.5,7]
            if(iX eq 2) then !y.range=[-3,5.5]
            contour,hr2(0:99,0:99,iT,iX*3+0),axisT,axisL,levels=max(hr2(0:99,0:99,iT,0:2))*levs
            contour,hr2(0:99,0:99,iT,iX*3+1),axisT,axisL,levels=max(hr2(0:99,0:99,iT,3:5))*levs,/overplot,color=255
            contour,hr2(0:99,0:99,iT,iX*3+2),axisT,axisL,levels=max(hr2(0:99,0:99,iT,6:8))*levs,/overplot,color=50
         endfor
      endfor
      
   endfor
   
endfor

device,/close
end
