pro plot1ionizing

set_plot,'ps'
device,file="plot.ionizing.ps",/color,bits=8,xsize=52.0,ysize=16.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']

!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=5
!p.multi=[0,4,1]

for zn=0,12 do begin
   ionizing=fltarr(5,51,7)
   ionizing2=fltarr(5,51,7)
   
   for imf0=0,6 do begin
      print,znames(zn)
      openr,5,"../"+imfs(imf0)+"/ionizing."+znames(zn)+".dat"
      dummy=fltarr(5)
      for iT=0,50 do begin
         readf,5,dummy
         ionizing(0:4,iT,imf0)=dummy
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/ionizing-bin."+znames(zn)+".dat"
      dummy=fltarr(5)
      for iT=0,50 do begin
         readf,5,dummy
         ionizing2(0:4,iT,imf0)=dummy
      endfor
      close,5
   endfor
    
   plot,ionizing(0,0:50,0),ionizing(1,0:50,0),linestyle=2,yrange=[40,55],title=znames(zn),ytitle="Number of ionizing photons/s",xtitle="log(Age/yrs)"
   for imf0=1,6 do oplot,ionizing(0,0:50,imf0),ionizing(1,0:50,imf0),color=42*imf0,linestyle=2
   for imf0=0,6 do oplot,ionizing2(0,0:50,imf0),ionizing2(1,0:50,imf0),color=42*imf0,linestyle=0

   plot,ionizing(0,0:50,0),ionizing(2,0:50,0),linestyle=2,yrange=[30,42],title=znames(zn),ytitle="H-alpga flux erg/s",xtitle="log(Age/yrs)"
   for imf0=1,6 do oplot,ionizing(0,0:50,imf0),ionizing(2,0:50,imf0),color=42*imf0,linestyle=2
   for imf0=0,6 do oplot,ionizing2(0,0:50,imf0),ionizing2(2,0:50,imf0),color=42*imf0,linestyle=0

   plot,ionizing(0,0:50,0),ionizing(3,0:50,0),linestyle=2,yrange=[30,40],title=znames(zn),ytitle="FUV flux erg/A/s",xtitle="log(Age/yrs)"
   for imf0=1,6 do oplot,ionizing(0,0:50,imf0),ionizing(3,0:50,imf0),color=42*imf0,linestyle=2
   for imf0=0,6 do oplot,ionizing2(0,0:50,imf0),ionizing2(3,0:50,imf0),color=42*imf0,linestyle=0


   for imf0=0,6 do xyouts,6.1,31+imf0*0.4,imfs(imf0),color=imf0*42
   xyouts,6.1,30.5,"Dashed - single stars"
   xyouts,6.1,30.1,"Solid - binaries"


   plot,ionizing(0,0:50,0),ionizing(4,0:50,0),linestyle=2,yrange=[30,40],title=znames(zn),ytitle="NUV flux erg/A/s",xtitle="log(Age/yrs)"
   for imf0=1,6 do oplot,ionizing(0,0:50,imf0),ionizing(4,0:50,imf0),color=42*imf0,linestyle=2
   for imf0=0,6 do oplot,ionizing2(0,0:50,imf0),ionizing2(4,0:50,imf0),color=42*imf0,linestyle=0



endfor



device,/close


end
