pro plot1numbers

set_plot,'ps'
device,file="plot.numbers.ps",/color,bits=8,xsize=52.0,ysize=26.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']
starnames=['O, log(L/Lsun)>4.9','Of, log(L/Lsun)>4.9','B, log(L/Lsun)>4.9','A, log(L/Lsun)>4.9','YSG, log(L/Lsun)>4.9','K, log(L/Lsun)>4.9','M, log(L/Lsun)>4.9','WNH, log(L/Lsun)>4.9','WN, log(L/Lsun)>4.9','WC, log(L/Lsun)>4.9','O, log(L/Lsun)<4.9','Of, log(L/Lsun)<4.9','B, log(L/Lsun)<4.9','A, log(L/Lsun)<4.9','YSG, log(L/Lsun)<4.9','K, log(L/Lsun)<4.9','M, log(L/Lsun)<4.9','WNH, log(L/Lsun)<4.9','WN, log(L/Lsun)<4.9','WC, log(L/Lsun)<4.9']
!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=5
!p.multi=[0,5,2]
!x.omargin=[7,0]
!y.omargin=[1,1]
!x.margin=[5,0]
!y.margin=[3,1]
for zn=0,12 do begin
   numbers=fltarr(21,51,7)
   numbers2=fltarr(21,51,7)
   
   for imf0=0,6 do begin
      print,znames(zn)
      openr,5,"../"+imfs(imf0)+"/numbers."+znames(zn)+".dat"
      dummy=fltarr(21)
      for iT=0,50 do begin
         readf,5,dummy
         numbers(0:20,iT,imf0)=dummy
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/numbers-bin."+znames(zn)+".dat"
      dummy=fltarr(21)
      for iT=0,50 do begin
         readf,5,dummy
         numbers2(0:20,iT,imf0)=dummy
      endfor
      close,5
   endfor
   
   for col=1,20 do begin
      if(col le 10) then !y.range=[1e-1,1e4] else !y.range=[1e0,2e6]
      if(col le 10) then !x.range=[6,8.5] else !x.range=[6,11]
      if(col eq 1 or col eq 6 or col eq 11 or col eq 16) then !y.title="Number of stars for 10!U6!NMsun of stars" else !y.title=""
      if(col eq 6 or col eq 7 or col eq 8 or col eq 0 or col eq 10 or col ge 16) then !x.title="log(Age/yrs)" else !x.title=""
      plot,numbers(0,0:50,0),numbers(col,0:50,0),linestyle=2,title=znames(zn)+" "+starnames(col-1),/ylog
      for imf0=1,6 do oplot,numbers(0,0:50,imf0),numbers(col,0:50,imf0),color=42*imf0,linestyle=2
      for imf0=0,6 do oplot,numbers2(0,0:50,imf0),numbers2(col,0:50,imf0),color=42*imf0,linestyle=0
  
      if(col ge 15) then xyouts,6.1,-1,imfs(col-15),color=(col-15)*42
      
      if(col eq 8) then xyouts,6.1,-1,"Dashed - single stars"
      if(col eq 9) then xyouts,6.1,-1,"Solid - binaries"
   endfor
endfor



device,/close


end
