pro plot1spectra

set_plot,'ps'
device,file="plot.spectra.ps",/color,bits=8,xsize=32.0,ysize=16.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']
!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=5
!p.multi=[0,2,1]
   ;output colour magnitude files
for zn=0,12 do begin
   spec=fltarr(52,100000L,7)
   spec2=fltarr(52,100000L,7)
   for imf0=0,6 do begin
      print,znames(zn),imfs(imf0)
      openr,5,"../"+imfs(imf0)+"/spectra."+znames(zn)+".dat"
      dummy=fltarr(52)
      for i=0,99999L do begin
         readf,5,dummy
         spec(0:51,i,imf0)=dummy
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/spectra-bin."+znames(zn)+".dat"
      dummy=fltarr(52)
      for i=0,99999L do begin
         readf,5,dummy
         spec2(0:51,i,imf0)=dummy
      endfor
      close,5
   endfor
   for iT=1,51 do begin
      plot,spec(0,0:99999L,0),spec(iT,0:99999L,0),linestyle=0,yrange=[1e-1,1e7],title="Single "+znames(zn)+strcompress(string(5.9+0.1*it),/remove_all),ytitle="flux in Lsun/A",xtitle="Wavelength/Angstroms",/ylog,/xlog,xrange=[1e0,1e6]
      for imf0=1,6 do oplot,spec(0,0:99999L,imf0),spec(iT,0:99999L,imf0),linestyle=0,color=imf0*42
      for imf0=0,6 do xyouts,300,10e0^(1.5-0.3*imf0),imfs(imf0),color=imf0*42
      
      plot,spec2(0,0:99999L,0),spec2(iT,0:99999L,0),linestyle=0,yrange=[1e-1,1e7],title="Binary "+znames(zn)+strcompress(string(5.9+0.1*it),/remove_all),ytitle="flux in Lsun/A",xtitle="Wavelength/Angstroms",/ylog,/xlog,xrange=[1e0,1e6]
      for imf0=1,6 do oplot,spec2(0,0:99999L,imf0),spec2(iT,0:99999L,imf0),linestyle=0,color=imf0*42
      endfor
   
   
endfor



device,/close
end
