pro plot1starmass

set_plot,'ps'
device,file="plot.starmass.ps",/color,bits=8,xsize=32.0,ysize=16.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']

!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=5
!p.multi=[0,1,1]

for zn=0,12 do begin
   starmass=fltarr(2,51,7)
   starmass2=fltarr(3,51,7)
   
   for imf0=0,6 do begin
      print,znames(zn)
      openr,5,"../"+imfs(imf0)+"/starmass."+znames(zn)+".dat"
      dummy=fltarr(2)
      for iT=0,50 do begin
         readf,5,dummy
         starmass(0:1,iT,imf0)=dummy
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/starmass-bin."+znames(zn)+".dat"
      dummy=fltarr(3)
      for iT=0,50 do begin
         readf,5,dummy
         starmass2(0:2,iT,imf0)=dummy
      endfor
      close,5
   endfor
   
   plot,starmass(0,0:50,0),starmass(1,0:50,0),linestyle=2,yrange=[0,1e6],title=znames(zn),ytitle="Mass remaining in stellar population",xtitle="log(Age/yrs)"
   for imf0=1,6 do oplot,starmass(0,0:50,imf0),starmass(1,0:50,imf0),color=42*imf0,linestyle=2
   
   for imf0=0,6 do oplot,starmass2(0,0:50,imf0),starmass2(1,0:50,imf0),color=42*imf0,linestyle=0
   for imf0=0,6 do oplot,starmass2(0,0:50,imf0),starmass2(1,0:50,imf0)+starmass2(2,0:50,imf0),color=42*imf0,linestyle=1
   for imf0=0,6 do xyouts,6.1,5e4*(1+imf0),imfs(imf0),color=imf0*42
    xyouts,7.6,5e4,"Dotted - binaries with remnants"
    xyouts,7.6,1e5,"Dashed - single stars"
    xyouts,7.6,1.5e4,"Solid - binaries"
endfor



device,/close


end
