pro plot1supernovae

set_plot,'ps'
device,file="plot.supernovae.ps",/color,bits=8,xsize=32.0,ysize=16.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']
snames=['type Ia','type IIP','type II-other','type Ib','type Ic','long-GRB','pair-instability','low-mass']
!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=2
!p.multi=[0,2,1]

for zn=0,12 do begin
   supernovae=fltarr(18,51,7)
   supernovae2=fltarr(18,51,7)
   all=fltarr(51,7)
   all2=fltarr(51,7)
   for imf0=0,6 do begin
      print,znames(zn)
      openr,5,"../"+imfs(imf0)+"/supernova-sin."+znames(zn)+".dat"
      dummy=fltarr(18)
      for iT=0,50 do begin
         readf,5,dummy
         supernovae(0:17,iT,imf0)=dummy
         all(iT,imf0)=total(dummy(1:8))
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/supernova-bin."+znames(zn)+".dat"
      dummy=fltarr(18)
      for iT=0,50 do begin
         readf,5,dummy
         supernovae2(0:17,iT,imf0)=dummy
         all2(iT,imf0)=total(dummy(1:8))
      endfor
      close,5
   endfor
 

   plot,supernovae(0,0:50,0),all(0:50,0),linestyle=2,color=0,yrange=[1e-2,1e6],title=znames(zn)+" all",ytitle="Number of supernovae for 10!U6!NM"+sun,xtitle="log(Age/yrs)",/ylog,psym=10
   for imf0=1,6 do oplot,supernovae(0,0:50,imf0),all(0:50,imf0),color=42*imf0,linestyle=2,psym=10
   for imf0=0,6 do oplot,supernovae2(0,0:50,imf0),all2(0:50,imf0),color=42*imf0,linestyle=0,psym=10

   plot,supernovae(0,0:50,0),all(0:50,0)/supernovae(17,0:50,0),linestyle=2,yrange=[1e-10,1e-2],title=znames(zn),ytitle="Rate of SN/yr for 10!U6!NM"+sun,xtitle="log(Age/yrs)",/ylog,psym=10
   for imf0=1,6 do oplot,supernovae(0,0:50,imf0),all(0:50,imf0)/supernovae(17,0:50,imf0),color=42*imf0,linestyle=2,psym=10
   for imf0=0,6 do oplot,supernovae2(0,0:50,imf0),all2(0:50,imf0)/supernovae2(17,0:50,imf0),color=42*imf0,linestyle=0,psym=10


   for sntype=1,8 do begin
      plot,supernovae(0,0:50,0),supernovae(sntype,0:50,0),linestyle=2,yrange=[1e-2,1e6],title=znames(zn)+" "+snames(sntype-1),ytitle="Number of supernovae for 10!U6!NM"+sun,xtitle="log(Age/yrs)",/ylog,psym=10
      for imf0=1,6 do oplot,supernovae(0,0:50,imf0),supernovae(sntype,0:50,imf0),color=42*imf0,linestyle=2,psym=10
      for imf0=0,6 do oplot,supernovae2(0,0:50,imf0),supernovae2(sntype,0:50,imf0),color=42*imf0,linestyle=0,psym=10
      
      for imf0=0,6 do xyouts,6.1,10e0^(5.5-0.25*imf0),imfs(imf0),color=imf0*42,charsize=1
      xyouts,9,1e5,"Dashed - single stars",charsize=1
      xyouts,9,5e5,"Solid - binaries",charsize=1

      plot,supernovae(0,0:50,0),supernovae(sntype,0:50,0)/supernovae(17,0:50,0),linestyle=2,yrange=[1e-10,1e-2],title=znames(zn)+" "+snames(sntype-1),ytitle="Rate of SN/yr for 10!U6!NM"+sun,xtitle="log(Age/yrs)",/ylog,psym=10
      for imf0=1,6 do oplot,supernovae(0,0:50,imf0),supernovae(sntype,0:50,imf0)/supernovae(17,0:50,imf0),color=42*imf0,linestyle=2,psym=10
      for imf0=0,6 do oplot,supernovae2(0,0:50,imf0),supernovae2(sntype,0:50,imf0)/supernovae2(17,0:50,imf0),color=42*imf0,linestyle=0,psym=10
       


   endfor
endfor



device,/close


end
