pro plot1yields

set_plot,'ps'
device,file="plot.yields.ps",/color,bits=8,xsize=32.0,ysize=16.0
sun=sunsymbol()
loadct,13
znames=['zem5','zem4','z001','z002','z003','z004','z006','z008','z010','z014','z020','z030','z040']
imfs=['BPASSv2.1_imf100_100','BPASSv2.1_imf100_300','BPASSv2.1_imf135_100','BPASSv2.1_imf135_300','BPASSv2.1_imf135all_100','BPASSv2.1_imf170_100','BPASSv2.1_imf170_300']

!x.style=1
!y.style=1
!p.charsize=1.5
!p.charthick=3
!p.thick=2
!p.multi=[0,4,2]

for zn=0,12 do begin
   yields=dblarr(9,51,7)
   yields2=dblarr(9,51,7)
   
   for imf0=0,6 do begin
      print,znames(zn)
      openr,5,"../"+imfs(imf0)+"/yields."+znames(zn)+".dat"
      dummy=dblarr(9)
      for iT=0,50 do begin
         readf,5,dummy
         yields(0:8,iT,imf0)=dummy
      endfor
      close,5
      openr,5,"../"+imfs(imf0)+"/yields-bin."+znames(zn)+".dat"
      dummy=dblarr(9)
      for iT=0,50 do begin
         readf,5,dummy
         yields2(0:8,iT,imf0)=dummy
      endfor
      close,5
   endfor
   names=['Winds','Supernovae']
   for iX=0,1 do begin

      plot,yields(0,0:50,0),yields(1+iX*5,0:50,0),linestyle=2,yrange=[1e-7,1e-1],title=znames(zn)+" "+names(ix),ytitle="Hydrogen output Msun/yr",xtitle="log(Age/yrs)",/ylog
      for imf0=1,6 do oplot,yields(0,0:50,imf0),yields(1+iX*5,0:50,imf0),color=42*imf0,linestyle=2
      for imf0=0,6 do oplot,yields2(0,0:50,imf0),yields2(1+iX*5,0:50,imf0),color=42*imf0,linestyle=0

      plot,yields(0,0:50,0),yields(2+iX*5,0:50,0),linestyle=2,yrange=[1e-7,1e-1],title=znames(zn)+" "+names(ix),ytitle="Helium output Msun/yr",xtitle="log(Age/yrs)",/ylog
      for imf0=1,6 do oplot,yields(0,0:50,imf0),yields(2+iX*5,0:50,imf0),color=42*imf0,linestyle=2
      for imf0=0,6 do oplot,yields2(0,0:50,imf0),yields2(2+iX*5,0:50,imf0),color=42*imf0,linestyle=0
     
      plot,yields(0,0:50,0),yields(3+iX*5,0:50,0),linestyle=2,yrange=[1e-7,1e-1],title=znames(zn)+" "+names(ix),ytitle="Metals output Msun/yr",xtitle="log(Age/yrs)",/ylog
      for imf0=1,6 do oplot,yields(0,0:50,imf0),yields(3+iX*5,0:50,imf0),color=42*imf0,linestyle=2
      for imf0=0,6 do oplot,yields2(0,0:50,imf0),yields2(3+iX*5,0:50,imf0),color=42*imf0,linestyle=0

      
      plot,yields(0,0:50,0),yields(4+iX,0:50,0)*(1d0+2d30*(1-ix)),linestyle=2,yrange=[1d30,1d42],title=znames(zn)+" "+names(ix),ytitle="Energy Output in J/yr",xtitle="log(Age/yrs)",/ylog
      for imf0=1,6 do oplot,yields(0,0:50,imf0),yields(4+iX,0:50,imf0)*(1d0+2d30*(1-ix)),color=42*imf0,linestyle=2
      for imf0=0,6 do oplot,yields2(0,0:50,imf0),yields2(4+iX,0:50,imf0)*(1d0+2d30*(1-ix)),color=42*imf0,linestyle=0

      if(ix eq 1) then begin
         for imf0=0,6 do xyouts,6.1,10e0^(36-imf0*0.75),imfs(imf0),color=imf0*42,charsize=1
         xyouts,6.1,0.8d31,"Dashed - single stars",charsize=1
         xyouts,6.1,3d30,"Solid - binaries",charsize=1
      endif
  
   endfor
endfor

   

device,/close


end
